<div class="page movies">
  <h1 class="page__title">
    Upcoming movies
  </h1>
  <div class="container">
    <div class="card__group">
      <movie-card
        *ngFor="
          let movie of movies
            | paginate: { itemsPerPage: 20, currentPage: page, totalItems: totalResults }
        "
        [movie]="movie"
        class="card"
      ></movie-card>
    </div>
    <pagination-controls
      class="page__pagination"
      (pageChange)="pageChange($event)"
      previousLabel=""
      nextLabel=""
    ></pagination-controls>
  </div>
</div>
